Subject: Re: [Patch iproute2] u32: add terminal parameter

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 14 Apr 2014 19:14:38 -0400

On 04/14/14 17:18, Cong Wang wrote:
> On Sat, Apr 12, 2014 at 4:43 AM, Jamal Hadi Salim <[email-masked]> wrote:

> Why? The qdisc my u32 filters attached to is classless (ingress).

flowid is a filter id. I am almost certain it was a mistake on your
part to leave it out. This is why i called it an FAQ and suggested
you provide a patch to block people from leaving it out.

> Also, why this is relevant to u32 terminal?

Because if you defined a flowid you are defining it as a terminal
u32 node. You wouldnt have to complain about "???" or produce a patch
to solve a non-existent problem.
You want to add a new syntax and didnt even bother to look at the code?

>> So I agree with Stephen on the verdict on your patch.
>> We need a patch to avoid this FAQ problem since it happens
>> often i.e reject a filter that doesnt have flow/classid
>> specified. How about you provide that patch instead?
>>
>
> Even if you were right, it is too late to change, we obviously don't
> want to break existing scripts that work fine. I am pretty sure
> my script runs well without flowid.
>

I dont think it can be guaranteed to work at all if you dont specify
a flowid. You may have gotten lucky.

cheers,
jamal